<%@ Page Language="C#" Title="Home" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Web.Security" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>
<script runat="server" language="C#">
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet homePageData = new DataSet();
        using (SqlCommand cmd = new SqlCommand())
        {
            cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);
            cmd.CommandText = "Homepage_GetHomepage";
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.Parameters.Add("@Username", SqlDbType.VarChar, 20).Value = User.Identity.Name;
            try
            {
                cmd.Connection.Open();
                homePageData.Load(
                    cmd.ExecuteReader(),
                    LoadOption.Upsert,
                    "TopStorygames",
                    "CloseStorygames",
                    "News");
            }
            finally
            {
                cmd.Connection.Close();
            }
        }

        rptBasicStorygames.DataSource = homePageData.Tables["TopStorygames"];
        rptAdvancedStorygames.DataSource = homePageData.Tables["CloseStorygames"];
        rptNews.DataSource = homePageData.Tables["News"];
        if (homePageData.Tables["CloseStorygames"].Rows.Count == 0)
        {
            allStorygamesRated.Visible = true;
        }

        
        DataBind();
    }

</script>
<asp:Content ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">

<h1>Welcome to ChooseYourStory.com!</h1>
<p style="margin-top:0px;font-size:85%">ChooseYourStory.com is a community-driven website centered on Choose-Your-Own-Adventure style storygames. Members create their own storygames, read and comment on other members storygames, participate in the forum, and improve their writing ability.</p>
<p style="font-size:85%">ChooseYourStory.com is your source for online interactive fiction  with members all around the globe.</p>



<table border="0" cellpadding="0" cellspacing="35" align="center">
    <tr>
        <td>
<div class="dark1border" style="position: relative; width: 300px; height: 250px; border: 1px solid; padding: 0px; background-color:#ffd9a9">
	<div style="padding: 10px;" class="categoryBoxExtras">
		<h2>Top 5 Storygames by Rating</h2>
		<div class="smallerText" style="margin: 0px; font-style: italic">These are the best, according to our users</div>
		<asp:Repeater runat="server" ID="rptBasicStorygames">
			<ItemTemplate>
				<div style="margin: 10px 0px 0px 10px;">
				    <a href="/Story/<%#UrlEncoding.Encode(Eval("Title").ToString()) %>.aspx"><%#Eval("Title") %></a>
				    <div style="font-size:80%"><em>by <a href="/member/?Username=<%#UrlEncoding.Encode(Eval("Username").ToString())%>"><%#Eval("Username")%></a></em></div>
				</div>
			</ItemTemplate>
		</asp:Repeater>
	</div>
</div>        
        </td>
        <td>
<div class="dark1border" style="position: relative; width: 300px; height: 250px;border: 1px solid; padding: 0px; background-color:#ffd9a9" >
	<div style="padding: 10px;" class="categoryBoxExtras">
		<h2>Top 5 Storygames in Need</h2>
		<div class="smallerText" style="margin: 0px; font-style: italic">These will be ranked with just a few more ratings...</div>
		<asp:Repeater runat="server" ID="rptAdvancedStorygames">
			<ItemTemplate>
				<div style="margin: 10px 0px 0px 10px;">
				    <a href="/Story/<%#UrlEncoding.Encode(Eval("Title").ToString()) %>.aspx"><%#Eval("Title") %></a>
				    <div style="font-size:80%"><em>by <a href="/member/?Username=<%#UrlEncoding.Encode(Eval("Username").ToString())%>"><%#Eval("Username")%></a></em></div>
				</div>
			</ItemTemplate>
		</asp:Repeater>
        <asp:Label ID="allStorygamesRated" runat="server" Visible="false"><br /><br />It seems like you've rated every story that doesn't have a ranking. Thank you!</asp:Label>
	</div>
</div>            
        </td>
    </tr>
</table>

<h1 class="alternate">News and Updates</h1>
<asp:Repeater runat="server" ID="rptNews">
	<ItemTemplate>
		<div style="margin: 10px 0px 0px 10px; line-height: 95%;">
		    <div style="background-color:#ffffff;padding:5px">
			    <h2><a href="/forums/message.aspx?MessageId=<%#Eval("Message_Id")%>"><%#Eval("Subject")%></a></h2>
			    <div style="font-size:80%">Posted <%#Eval("Post_Date","{0:d}")%> by <%#Eval("Username") %></div>
			</div>
			<div style="padding:12px;"><%#Eval("Body") %></div>
		</div>
	</ItemTemplate>
</asp:Repeater>
</asp:Content>