<%@ Control Language="C#" AutoEventWireup="true" ClassName="ChooseYourStory.Web.UI.Stories.CategoryBox" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="ChooseYourStory.Utilities" %>

<script runat="server" language="C#">
	
	public string RssFeedUrl
	{
		get
		{
			return _RssFeedLink.HRef;
		}
		set
		{
			_RssFeedLink.HRef = value;
			_RssFeedLink.Visible = !string.IsNullOrEmpty(value);
		}
	}	
	
		private string _ImageUrl;
	public string ImageUrl
	{
		get { return _ImageUrl; }
		set
		{
			_ImageUrl = value;
			_CategoryBoxDiv.Style["background-image"] =
					string.Format("url({0})", Page.ResolveUrl(value));
		}
	}
	public string Name
	{
		get { return _CategoryName.Text; }
		set
		{
			_CategoryName.Text = value;
		}
	}
	public string Description
	{
		get { return _CategoryDescription.Text; }
		set { _CategoryDescription.Text = value; }
	}
	public string MoreStoriesText
	{
		get { return _MoreStoriesLink.Text; }
		set { _MoreStoriesLink.Text = value; }
	}
	public string MoreStoriesUrl
	{
		get { return _MoreStoriesLink.NavigateUrl; }
		set { _MoreStoriesLink.NavigateUrl = value; }
	}

	public void SetStoryLinks(XmlNodeList stories)
	{
		_StoryList.DataSource = stories;
		_StoryList.DataBind();
	}

	protected void StoryList_ItemDataBound(object sender, RepeaterItemEventArgs e)
	{
		HyperLink storyLink = (HyperLink)e.Item.FindControl("StoryLink");
		XmlNode game = (XmlNode)e.Item.DataItem;

		storyLink.Text = game.SelectSingleNode("@title").Value;
		storyLink.NavigateUrl =
				string.Format(
						"~/Story/{0}.aspx",
						UrlEncoding.Encode(game.SelectSingleNode("@title").Value));
	}

	protected void BindCategory()
	{
		if (_CategoryXmlNode == null) return;

		Name = _CategoryXmlNode.SelectSingleNode("@name").Value;
		Description = _CategoryXmlNode.SelectSingleNode("@description").Value;
		ImageUrl =
				string.Format(
						"~/App_Themes/{0}/images/{1}",
						Page.Theme,
						_CategoryXmlNode.SelectSingleNode("@small_url").Value
				);

		MoreStoriesUrl =
				string.Format(
						"~/Stories/{0}.aspx",
						ChooseYourStory.Utilities.UrlEncoding.Encode(_CategoryXmlNode.SelectSingleNode("@name").Value));
		MoreStoriesText =
				string.Format(
						"[{0} Total {1}]",
						_CategoryXmlNode.SelectSingleNode("@story_count").Value,
						"Storygames"
				);

		SetStoryLinks(_CategoryXmlNode.SelectNodes("story"));
	}

	private XmlNode _CategoryXmlNode;
	public XmlNode CategoryXmlNode
	{
		get { return _CategoryXmlNode; }
		set { _CategoryXmlNode = value; BindCategory(); }
	}
</script>

<div class="dark1border" style="position: relative; width: 300px; height: 245px;
	border: 1px solid; padding: 0px;" runat="server" id="_CategoryBoxDiv">
	<div style="padding: 10px;" class="categoryBoxExtras">
		<h2>
			<a visible="false" runat="server" id="_RssFeedLink" title="Syndicate with RSS">
				<img src="/Resources/Images/feed-icon-12x12.gif" alt="RSS Feed" width="12" height="12" style="border: 0px;" /></a>
			<asp:Literal runat="server" ID="_CategoryName" /></h2>
		<div class="smallerText" style="margin: 0px; font-style: italic">
			<asp:Literal runat="server" ID="_CategoryDescription" /></div>
		<asp:Repeater runat="server" ID="_StoryList" OnItemDataBound="StoryList_ItemDataBound">
			<ItemTemplate>
				<div style="margin: 10px 0px 0px 10px; line-height: 95%;">
					<asp:HyperLink runat="server" ID="StoryLink" />
				</div>
			</ItemTemplate>
		</asp:Repeater>
	</div>
	<div style="position: absolute; bottom: 15px; width: 100%; text-align: center;" class="categoryBoxExtras">
		<asp:HyperLink runat="server" ID="_MoreStoriesLink" Style="font-weight: bold;" />
	</div>
</div>
