<%@ Page Language="C#" AutoEventWireup="true" Title="Admin Award Trophy" %>

<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Utilities" %>
<script runat="server" type="text/C#">
    string Username;
    string TrophyName;

    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);
        Username = Request.QueryString["Username"];
        TrophyName =  "Community Contributor";
        TrophyImage.ImageUrl = "/member/images/trophies/communityContributor.gif";
        if (string.IsNullOrEmpty(Username)) Response.Redirect("~/");
    }

    protected override void OnLoad(EventArgs e)
    {
        DataBind();
    }

    void TrophyItems_SelectedIndexChanged(object sender, EventArgs e)
    {
        TrophyName = TrophyItems.SelectedItem.Text;
        TrophyImage.ImageUrl = "/member/images/trophies/" + TrophyItems.SelectedValue + ".gif";
        TrophyImage.AlternateText = TrophyItems.SelectedItem.Text;
        TrophyImage.ToolTip = TrophyItems.SelectedItem.Text + " Trophy";

    }

    void Nevermind_Click(object sender, EventArgs e)
    {
        Response.Redirect(ChooseYourStory.Web.Controls.UsernameLink.GetUrlFromUsername(Username));
    }

    void AwardTrophy_Click(object sender, EventArgs e)
    {
        using (SqlCommand cmd = new SqlCommand())
        {
            cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);
            cmd.CommandText = "Admin_AwardTrophy";
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.Parameters.Add("@Recipient_Username", SqlDbType.VarChar, 30).Value = Username;
            cmd.Parameters.Add("@Trophy_Name", SqlDbType.VarChar, 25).Value = TrophyName;
            cmd.Parameters.Add("@Reason_Text", SqlDbType.VarChar, 200).Value = Reason.Text;
            try
            {
                cmd.Connection.Open();
                cmd.ExecuteNonQuery();
            }
            finally
            {
                cmd.Connection.Close();
            }
        }
        Response.Redirect(ChooseYourStory.Web.Controls.UsernameLink.GetUrlFromUsername(Username));
    }

</script>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
<form runat="server">
<h1>Award a Trophy to <%#Username %></h1>
<p>Once awarded, there is no way to remove the trophy. The following message will be displayed
as the image text on the <%#Username %>'s profile page and will be sent in a Notification to him/her.</p>

<div style="margin-top:20px;">
	<table border="0" cellpadding="10" cellspacing="0">
        <tr>
            <td>Trophy: <asp:DropDownList ID="TrophyItems" runat="server" AutoPostBack = "true" OnSelectedIndexChanged="TrophyItems_SelectedIndexChanged">
                            <asp:ListItem Text="Community Contributor" Value="communityContributor" />
                            <asp:ListItem Text="Contest Winner" Value="contestWinner" />
                        </asp:DropDownList>
                <asp:Image ID="TrophyImage" alt="" width="50" height="50" runat="server"/>
            </td>		
        </tr>
        <tr>
            <td valign="top">
				<h2>Reason for Award (Max: 200 Chars)</h2>
				<asp:TextBox ID="Reason" runat="server" Width="250px" MaxLength="200" />
				<asp:RequiredFieldValidator runat="server" ControlToValidate="Reason" ForeColor="" CssClass="error"
					ErrorMessage="* Required" />
			</td>
        </tr>
		<tr>
			<td>
				<asp:Button runat="server" Text="Award Trophy" OnClick="AwardTrophy_Click" />
				&nbsp;
				<asp:Button runat="server" Text="Nevermind" OnClick="Nevermind_Click" CausesValidation="false" />
			</td>
		</tr>
	</table>
</div>
</form>
</asp:Content>

