<%@ Page Language="C#" Title="Editor Options" EnableViewState="false" %>
<%@ Register TagPrefix="cys" Namespace="ChooseYourStory.Web.Controls" Assembly="ChooseYourStory" %>
<%@ Register TagPrefix="adved" Src="SecondaryNavigation.ascx" TagName="SecondaryNavigation" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Stories.Editing" %>
<%@ Import Namespace="ChooseYourStory.Stories.Editing.Advanced" %>

<script runat="server">
	
	int StoryId;

	protected override void OnLoad(EventArgs e)
	{
		base.OnLoad(e);
		StoryId = int.Parse(Request.Url.Query.TrimStart('?'));
		EditorHelper.ValidateUserToAdvancedEdit(StoryId, User.Identity.Name);
	}

	void SaveChanges_Click(object sender, EventArgs e)
	{
		EditorOptions options = new EditorOptions();
		options.ItemLevel = (EditorOptions.ItemLevels)
			Enum.Parse(typeof(EditorOptions.ItemLevels), ItemLevel.SelectedValue);
		options.ScriptingLevel = (EditorOptions.ScriptingLevels)
      Enum.Parse(typeof(EditorOptions.ScriptingLevels), ScriptingLevel.SelectedValue);
		options.VariableLevel = (EditorOptions.VariableLevels)
			Enum.Parse(typeof(EditorOptions.VariableLevels), VariableLevel.SelectedValue);
		EditorHelper.UpdateEditorOptions(StoryId, User.Identity.Name, options);

		Response.Redirect("Properties.aspx" + Request.Url.Query);
	}

	protected override void OnLoadComplete(EventArgs e)
	{
		base.OnLoadComplete(e);
		EditorOptions options = EditorHelper.GetEditorOptions(StoryId, User.Identity.Name);
		ScriptingLevel.SelectedValue = options.ScriptingLevel.ToString();
		VariableLevel.SelectedValue = options.VariableLevel.ToString();
		ItemLevel.SelectedValue = options.ItemLevel.ToString();
	}
	
	
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="HeaderContentPlaceHolder" runat="server">
<style type="text/css">
	.block { display:block;margin-top:10px; }
</style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
<form runat="server" id="mainForm">
	<div id="maincontent">

		<h1>Advanced Editor &gt; Editor Options</h1>		
		<adved:SecondaryNavigation runat="server" />
	
		<div style="padding-left:15px;">
			<p>As you become more comfortable with the Advanced Editor, you can change the features
			available to you as an author. These options do not affect your storygame in any way; they
			merely show and hide different editing options. For example, if you create several variables
			and then disable the variables feature, the variables will still exist in the storygame but
			be uneditable by you.</p>
			
			<table border="0" cellpadding="5" cellspacing="0" style="margin-top:20px;">
				<tr>
					<td><label>Variables</label></td>
					<td><asp:DropDownList ID="VariableLevel" runat="Server">
							<asp:ListItem Value="Disabled" />
							<asp:ListItem Value="Basic" />
							<asp:ListItem Value="Advanced" />
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td><label>Items</label></td>
					<td><asp:DropDownList ID="ItemLevel" runat="Server">
							<asp:ListItem Value="Basic" />
							<asp:ListItem Value="Advanced" Enabled="false" />
						</asp:DropDownList></td>
				</tr>
				<tr>
					<td><label>Scripting</label></td>
					<td><asp:DropDownList ID="ScriptingLevel" runat="Server">
							<asp:ListItem Value="Disabled" />
							<asp:ListItem Value="Basic" />
							<asp:ListItem Value="Advanced"/>
						</asp:DropDownList></td>
				</tr>				
			</table>
			<asp:Button CssClass="block" OnClick="SaveChanges_Click"
				runat="server" Text="Save Changes & Return to Story Properties" />

		</div>
		</div>
</form>		
</asp:Content>