<%@ Page Language="C#" Title="My Notifications" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="ChooseYourStory.Data" %>
<script runat="server" type="text/C#">
	DataTable notifications = new DataTable();
	
	protected override void OnLoad(EventArgs e)
	{
		base.OnLoad(e);
    using (SqlCommand cmd = new SqlCommand())
    {
      cmd.Connection = new SqlConnection(ConfigurationManager.ConnectionStrings["ChooseYourStory"].ConnectionString);

			cmd.CommandText = StoredProcedures.User_Notifications_GetNotifications;
      cmd.CommandType = CommandType.StoredProcedure;
			cmd.Parameters.Add("@User_Username", SqlDbType.VarChar, 30).Value = Page.User.Identity.Name;

      try
      {
        cmd.Connection.Open();
				notifications.Load(cmd.ExecuteReader());
      }
      finally
      {
        cmd.Connection.Close();
      }
    }

        DataBind();
	}
</script>

<asp:Content ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
	<h1>My Stuff > Notifications</h1>
	<p style="margin-bottom:15px;">
		Notifications offer a quick and easy way for the website to send messages to its members about various events, 
		such as Duel Challenges and Experience Point Level-ups. Notifications will automatically expire and disappear
		from the below list at different times, depending on their type.
	</p>
	<div style="height:400px; overflow:auto;">
	<asp:Repeater runat="server" DataSource="<%# notifications %>" Visible='<%# notifications.Rows.Count > 0 %>'>
		<ItemTemplate>
			<div style="margin-bottom:20px;">
				<%# ((DateTime)Eval("Notification_Date") > Convert.ToDateTime(this.Profile.My_Notifications.LastView)) ? "<strong>" : "" %>
                <%#Eval("Display_Text")%>
                <%# ((DateTime)Eval("Notification_Date") > Convert.ToDateTime(this.Profile.My_Notifications.LastView)) ? "</strong>" : "" %> - 
                <%#((DateTime)Eval("Notification_Date")).ToShortDateString() %>
                <br />
				<asp:Literal runat="server" Visible='<%#Eval("MoreInfo_Text") == DBNull.Value%>'><em>No more information avaiable.</em></asp:Literal>
				<%#Eval("MoreInfo_Text")%>
				<asp:HyperLink runat="server" Visible='<%#Eval("MoreInfo_Url") != DBNull.Value%>' Text="Link" NavigateUrl='<%#Eval("MoreInfo_Url")%>' />
				
			</div>
		
		</ItemTemplate>
	</asp:Repeater>
	</div>
</asp:Content>

<script runat="server" type="text/C#">
    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);
		Profile.My_Notifications.LastView = DateTime.Now.ToString();
		Profile.Save();
    }
</script>